Skip to main content
POST
/
v2
/
salesOrders
/
{salesOrderId}
/
workflow
/
{workflowEventId}
Trigger Sales Order Workflow
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/{salesOrderId}/workflow/{workflowEventId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "errorCode": "<string>",
  "validationErrors": {},
  "errors": {},
  "errorMessage": "<string>",
  "stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

workflowEventId
enum<integer>
required

The id of the event for that the manual workflow event should be started. 1 = Created, 2 = Deleted, 3 = Changed, 4 = Delievered, 5 = Canceled, 6 = Joined, 7 = Splittet, 9 = WithOutShipping, 10 = CompletePaid

Available options:
1,
2,
3,
4,
5,
6,
7,
9,
10
salesOrderId
string<uuid>
required

The id of the sales order for that the manual workflow event should be started.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response